<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                template="/WEB-INF/templates/LoggedTemplate.xhtml">

    <ui:define name="contentPart">

        <h:form id="AdscripcionesListForm">
           
              <h:outputText 
                value="Catálogos comunes -> Adscripciones" 
                style="font-weight: bold"/>

            <hr class="ui-separator ui-state-default ui-corner-all separator"></hr>            
            <h:outputText value="Administración de adscripciones" />
            <br/><br/>

            <p:dataTable
                id="listado"
                value="#{rhNomnAdscripcionesMB.listadoRhNomnAdscripciones}"
                var="rhNomnAdscripciones"
                paginator="true"
                rows="10"
                style="
                       font-size: small"
                emptyMessage="No se encontraron Adscripciones"
                paginatorPosition="bottom">
                
                 <f:facet name="header">
                    Adscripciones
                    <p:commandButton 
                        id="btnAddEmp" 
                        styleClass="botonpequeno"
                        title="Nueva Adscripción"
                        icon="ui-icon-plusthick"
                        style="display:inline; float:right; font-size:x-small;"
                         onclick="PF('adscripcionesAdd').show();" />


                </f:facet>
                
                <p:column
                    sortBy="#{rhNomnAdscripciones.claveAdscripcion}"
                    filterMatchMode="contains"
                    width="10%"
                    style="font-size: small"
                    filterBy="#{rhNomnAdscripciones.claveAdscripcion}">
                    <f:facet name="header">#{translatedMessage['restricted.catalogogenerico.adscripcion.clave']}</f:facet>
                    <h:outputText value="#{rhNomnAdscripciones.claveAdscripcion}"/>
                </p:column>
                
                <p:column
                    sortBy="#{rhNomnAdscripciones.descripcion}"
                    filterMatchMode="contains"
                    width="20%"
                    style="font-size: small"
                    filterBy="#{rhNomnAdscripciones.descripcion}">
                    <f:facet name="header">#{translatedMessage['restricted.catalogogenerico.adscripcion.descripcion']}</f:facet>
                    <h:outputText value="#{rhNomnAdscripciones.descripcion}"/>
                </p:column>            
                
                <p:column
                    sortBy="#{rhNomnAdscripciones.detalleunidadAdm.claveUniAdm}"
                    filterMatchMode="contains"
                    width="10%"
                    style="font-size: small"
                    filterBy="#{rhNomnAdscripciones.detalleunidadAdm.claveUniAdm}">
                    <f:facet name="header">#{translatedMessage['restricted.catalogogenerico.adscripcion.unidadClave']}</f:facet>
                    <h:outputText value="#{rhNomnAdscripciones.detalleunidadAdm.claveUniAdm}"/>
                </p:column>
                
                <p:column
                    sortBy="#{rhNomnAdscripciones.detalleunidadAdm.descripcion}"
                    filterMatchMode="contains"
                    width="20%"
                    style="font-size: small"
                    filterBy="#{rhNomnAdscripciones.detalleunidadAdm.descripcion}">
                    <f:facet name="header">#{translatedMessage['restricted.catalogogenerico.adscripcion.unidadDescripcion']}</f:facet>
                    <h:outputText value="#{rhNomnAdscripciones.detalleunidadAdm.descripcion}"/>
                </p:column>                
                
                <p:column
                    sortBy="#{rhNomnAdscripciones.estatus}"
                    filterMatchMode="contains"
                    width="8%"
                    style="font-size: small"
                    filterStyle="width:90%"
                    filterBy="#{rhNomnAdscripciones.estatus}">
                    <f:facet name="header">#{translatedMessage['restricted.catalogogenerico.adscripcion.estatus']}</f:facet>
                    <h:outputText value="#{rhNomnAdscripciones.estatus}"/>
                </p:column>  
                
                 <p:column 
                    style="font-size: small" 
                    width="20%"
                    headerText="Acciones">
                    <p:commandButton
                        onclick="PF('adscripcionesEdit').show();"
                        update=":detalle3Adscripciones"
                        title="Editar datos"
                        value="Editar"
                        style="font-size: 70%;width: 80px"
                        actionListener="#{rhNomnAdscripcionesMB.seleccionActualizar(rhNomnAdscripciones)}">
                        <f:setPropertyActionListener
                            value="#{rhNomnAdscripciones}"
                            target="#{rhNomnAdscripcionesMB.rhNomnAdscripcionesSelected}" />
                         
                    </p:commandButton>
               
                    <p:commandButton
                        onclick="PF('adscripcionesDelete').show();"
                        update=":detalle4Adscripciones"
                        title="Activar/Desactivar"
                        style="font-size: 70%;"
                        value="Activar/Desactivar">
                        <f:setPropertyActionListener
                            value="#{rhNomnAdscripciones}"
                            target="#{rhNomnAdscripcionesMB.rhNomnAdscripcionesSelected}" />
                    </p:commandButton>
                </p:column>
                
            </p:dataTable>
            <br/><br/>
            <div align="center">
                        <p:commandButton
                            value="Cerrar"
                            type="button"
                            onclick="location='#{request.contextPath}#{commonDataMB.defaultTargetUrl}';">
                        </p:commandButton>         
            </div>
                       
        </h:form>
    </ui:define>
    <ui:define name="outLayoutPart" >
        <ui:include src="AdscripcionesAdd.xhtml" />
        <ui:include src="AdscripcionesEdit.xhtml" />
        <ui:include src="AdscripcionesDelete.xhtml" />
    </ui:define>


</ui:composition>
